#ifndef CELL_H
#define CELL_H

#include "ScalarField.h"
#include <types.h>

typedef struct {
	ScalarFieldVertex*	verts[2];
} CellEdge;

typedef struct {
	ScalarFieldVertex*	verts[8];
} Cell;

void init_Cell( Cell* self, ScalarField const* scalarField, uint16_t i, uint16_t j, uint16_t k );
CellEdge getEdge_Cell( Cell const* self, uint8_t edgeIndex );

#endif	/* CELL_H */
