#ifndef RESOURCE_H
#define RESOURCE_H

typedef enum {
	RESOURCETYPE_MESH,
	RESOURCETYPE_SOUND
} ResourceType;

typedef struct {
	ResourceType	type;
	char const*		name;
	void const*		data;
} Resource;

#define RESOURCE_INIT( t, n, d ) \
{ .type = t, .name = n, .data = d }

#endif	/* RESOURCE_H */
