#ifndef TIME_H
#define TIME_H

#include <types.h>

typedef struct {
	int64_t	sec;
	int32_t	msec;
	int32_t	nsec;
} Time;

typedef enum {
	TIME_LESS,
	TIME_EQUAL,
	TIME_GREATER
} TimeRelation;

Time calcDuration_Time( Time const* t0, Time const* t1 );
TimeRelation compare_Time( Time const* t0, Time const* t1 );

#endif	/* TIME_H */

