#include <resmgr/resource.h>
#include <myheader.h>

extern StaticMesh world[];
extern StaticMesh torus[];
extern StaticMesh plane[];
extern StaticMesh img[];
extern StaticMesh flare1[];
extern const uint8_t _binary_sound_wav_start[];

Resource resources[] = {
	RESOURCE_INIT( RESOURCETYPE_MESH, "world", world ),
	RESOURCE_INIT( RESOURCETYPE_MESH, "torus", torus ),
	RESOURCE_INIT( RESOURCETYPE_MESH, "plane", plane ),
	RESOURCE_INIT( RESOURCETYPE_MESH, "img", img ),
	RESOURCE_INIT( RESOURCETYPE_MESH, "flare1", flare1 ),
	RESOURCE_INIT( RESOURCETYPE_SOUND, "sound", _binary_sound_wav_start ),
	RESOURCE_INIT( NULL, NULL, NULL ),
};

