#ifndef ACTION_H
#define ACTION_H

#include <sys/time.h>
#include <types.h>

typedef void (*actionf)( const Time* time, void* );

typedef struct {
	actionf		f;
	void*		arg;
	Time		timeStart;
	Time		timeDuration;
} Action;

void init_Action( Action* action,
	actionf function,
	void* farg,
	Time timeStart,
	Time timeDuration
);

#endif	/* ACTION_H */

