#ifndef HEAP_H
#define HEAP_H

#include <types.h>

typedef struct {
	size_t	el_size;
	size_t	num_el;
	void*	data;
	void*	end;
} Heap;

void init_Heap( Heap* self, size_t el_size, size_t num_el );
void* alloc_Heap( Heap* self );
void free_Heap( Heap* self, void* element );

#endif	/* HEAP_H */
