#ifndef MATH_H
#define MATH_H

#include <types.h>
#include "matrix.h"
#include "vector.h"

float sqrtf( float );
float sinf( float );
uint8_t log2uint( uint32_t val );
bool log2_has_frac( uint32_t val );
float fabsf( float x );
void transformVector_Math( Vector3f* out, Vector3f* vec, Matrix* mtx );

#endif	/* MATH_H */

